import request from '@/utils/request'

// 分页查询
export function pageList(data) {
  return request({
    url: '/wx/wxUser/pageList',
    method: 'post',
    data: data
  })
}

// 插入
export function insert(data) {
  return request({
    url: '/wx/wxUser/insert',
    method: 'post',
    data: data
  })
}

// 更新数据
export function update(data) {
  return request({
    url: '/wx/wxUser/update',
    method: 'post',
    data: data
  })
}

// 修改审核状态
export function updateAuth(data) {
  return request({
    url: '/wx/wxUser/updateById',
    method: 'post',
    data: data
  })
}

// 解除绑定
export function deleteBind(data) {
  return request({
    url: '/wx/wxUser/untied',
    method: 'post',
    data: data
  })
}

// 删除数据
export function deletes(id, ids) {
  const data = {}
  if (id) {
    data['id'] = id
  }
  if (ids) {
    data['ids'] = ids
  }
  return request({
    url: '/wx/wxUser/delete',
    method: 'post',
    data: data
  })
}
