import request from '@/utils/request'

// 分页查询
export function pageList(data) {
  return request({
    url: '/sys/sysonlineCourse/pageList',
    method: 'post',
    data: data
  })
}

// 插入
export function insert(data) {
  return request({
    url: '/sys/sysonlineCourse/insert',
    method: 'post',
    data: data
  })
}

// 更新数据
export function update(data) {
  return request({
    url: '/sys/sysonlineCourse/update',
    method: 'post',
    data: data
  })
}

// 查询数据
export function query(data) {
  return request({
    url: '/sys/sysonlineCourse/query',
    method: 'post',
    data: data
  })
}

// 删除数据
export function deletes(id, ids) {
  const data = {}
  if (id) {
    data['id'] = id
  }
  if (ids) {
    data['ids'] = ids
  }
  console.log(data)
  return request({
    url: '/sys/sysonlineCourse/delete',
    method: 'post',
    data: data
  })
}
